/*
 * isotrim
 *
 * last modified 17 Nov 00 to make flag a char variable
 * last modified 14 Mar 97
 * last modified 8 Nov 96
 */
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#define LEN 41000

void main(int argc, char *argv[])
{
      int detector,dirn,scan,filter,screen_filter,screen_dirn;
      double lam,flux,error;
      char filename[81],fileout[90],line[100],flag[11];
      FILE *fd1,*fdout[50];
/*
 *    command line arguments
 */
      screen_filter=7;
      screen_dirn=-1;
      if (argc == 2) strcpy(filename,argv[1]);
      else if (argc == 4) {
        strcpy(filename,argv[1]);
        sscanf(argv[2],"%d",&screen_filter);
        sscanf(argv[3],"%d",&screen_dirn);
      } else {
	printf("Use:  isotrim input_file [filter direction].\n");
	exit(1);
      }
/*
 *    initialization
 */      
      fd1=fopen(filename,"r");
      if (fd1 == NULL) {
        printf("Error.  File %s not found.\n",filename);
        exit(1);
      }

      while (fgets(line,80,fd1) != NULL) {
/*
 *      read char variable line and load arrays
 */
	sscanf(line,"%lf %lf %lf %s %d %d %d %d",&lam,&flux,&error,
               flag,&detector,&dirn,&scan,&filter);
        if (filter == screen_filter && dirn == screen_dirn)
/*         printf("%9.5lf %9.3lf\n",lam,flux); */
	  printf("%9.4lf  %11.5le  %11.5le %10s %2d %4d %6d %5d\n",
            lam,flux,error,flag,detector,dirn,scan,filter); 
      }
}

