FUNCTION segmentavg,l,f,l0,l1

; version 2.1
; 21 Jul 02 - set array counters to long  (v 2.1)
; 26 Apr 02 - minor change to use n_elements instead of max(size) (v 2.0)
; 23 Jul 01 - minor change
;
; if l0 = l1 = 0.0, then average is over full data range

istop=long(n_elements(l)) ; OK since l is 1-D

ia=long(0)
ib=istop-1
if (l0 ne 0.0 or l1 ne 0.0) then begin
  while (l(ia) lt l0 and ia lt istop-2) do ia=ia+1
  while (l(ib) gt l1 and ib gt ia+1)    do ib=ib-1
endif

meanvalue=0.0
for i=ia,ib do meanvalue=meanvalue+f(i)
meanvalue=meanvalue/float(ib-ia+1)

return,meanvalue

end
